;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;  Instruction INI file for gfx+cc installer
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;-----NOTE: USE ALL LOWER CASE FOR SECTION AND PROPERTY NAMES


;***************************************** General Format
;[section]
;property1=value1
;property2=value2
;property3=value3
;uninstall=true | false | only
;[/section]


;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;++                               BEGIN                                 ++
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;-------------------------------------------------------------------------
;--                         VARIABLE DECLARATIONS                       --
;-------------------------------------------------------------------------
[variables]
;CUSTOM VARIABLES CAN NOT HAVE NESTED CUSTOM VARIABLES
;  ONLY MAY NEST PRE-DEFINED VARIABLES
;path=EXECUTION PATH                   ;pre-defined
;system=SYSTEM PATH                    ;pre-defined
;progfilesdir=PROGRAM FILES DIRECTORY  ;pre-defined
;root=WINDOWS DRIVE (ie C:)	       ;pre-defined
installdir=%progfilesdir%\Intel\Intel Graphics
startfolder=Intel(R) Graphics
[/variables]

[copy file]
source=%path%\setup.exe
destination=%system%\lpgun.exe
uninstall=true
[/copy file]

[copy file]
source=%path%\difxapi.dll
destination=%system%\difxapi.dll
uninstall=false
[/copy file]

[copy file]
source=%path%\x64\difxapi.dll
destination=%system%\x64\difxapi.dll
uninstall=false
condition=IsWoW
[/copy file]

;[copy file]
;source=%path%\x64\Difx64.exe
;destination=%system%\x64\Difx64.exe
;uninstall=false
;condition=IsWoW
;[/copy file]

[copy file]
source=%path%\Lang\LPCO\%lang%\LPCO%lang%.dll
destination=%system%\Lang\LPCO\%lang%\LPCO%lang%.dll
uninstall=true
[/copy file]

[copy file]
source=%path%\IIF2.ini
destination=%system%\lpgun.ini
uninstall=false
[/copy file]

; Copy CUI resource dll
; This will overwrite the installed CUI resource dll for all languages
; except ENU
[copy file]
source=%path%\LPCO\igfxr%lang%.lrc
destination=%system%\igfxres.dll
uninstall=true
[/copy file]

[copy file]
source=%path%\LPCO\igfxress%lang%.lrc
destination=%system%\igfxress.dll
uninstall=true
[/copy file]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\LPCO
keyvalue=DisplayName
keydata=Intel(R) Graphics Media Accelerator 500
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\LPCO
keyvalue=UninstallString
keydata=%system%\lpgun.exe -uninstall
keytype=sz
uninstall=true
[/registry]

; For WHQL compliance
[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\LPCO\DEBUG
keyvalue=HalReg5
keydata=0
keytype=dw
uninstall=true
[/registry]

; For performance
[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\LPCO\DEBUG
keyvalue=SelfRefresh
keydata=1
keytype=dw
uninstall=true
[/registry]

;
; For sigverif to pass LRC files must not be deleted
;

; For clean leftfile and registry

[delete file]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Run
keyvalue=HotKeysCmds
keydata=%system%\hkcmd.exe
keytype=sz
uninstall=true
[/delete file]

[delete file]
keyroot=NO
keypath=NO
keyvalue=NO
keydata=%system%\lpgun.ini
keytype=NO
uninstall=true
[/delete file]

[delete file]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Run
keyvalue=IgfxExt
keydata=%system%\IgfxExt.exe
keytype=sz
uninstall=true
[/delete file]

[delete file]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Run
keyvalue=IgfxTray
keydata=%system%\IgfxTray.exe
keytype=sz
uninstall=true
[/delete file]

[delete file]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Run
keyvalue=PersistenceThread
keydata=%system%\PersistenceThread.exe
keytype=sz
uninstall=true
[/delete file]
[delete file]
keyroot=NO
keypath=NO
keyvalue=NO
keydata=%system%\igfxpph.dll
keytype=NO
uninstall=true
[/delete file]

[delete file]
keyroot=NO
keypath=NO
keyvalue=NO
keydata=%system%\igfxress.dll
keytype=NO
uninstall=true
[/delete file]

[delete file]
keyroot=NO
keypath=NO
keyvalue=NO
keydata=%system%\igfxsrvc.dll
keytype=NO
uninstall=true
[/delete file]

[delete file]
keyroot=NO
keypath=NO
keyvalue=NO
keydata=%system%\igfxsrvc.exe
keytype=NO
uninstall=true
[/delete file]
